#include "command.h"
#include "shaza.h"
/*************************************************************************************/
void add_loci_errors(nloci,base,isim,terror,anim,recap)
/* coded by: Michael Macbeth       revision - 5/10/2009     */
/*************************************************************************************/
int nloci;     /* number of loci */
int base;      /* 0 alleles are numbered 1..nloci */
               /* 1 use allele number from empiracle data */
int isim;      /* 0 change: animal_data[] using allele frequencies read in from data OR */
               /* 1         animal_sim[]  to simulate recaptures found                  */
double terror; /* proportional typing error */
int anim;      /* number of samples in data */
int recap;     /* number of recaptures */
{
  int n;

  for(n=(anim-recap); n < anim; n++) /* for n resamples animals          */
  add_loci_errors_n(nloci,base,isim,terror,n);

  for(n=0; n < recap; n++)           /* for n resamples animals          */
  add_loci_errors_n(nloci,base,isim,terror,n);
}



