#include "command.h"

/*************************************************************************************/
double check_double(a,line,field,file)
/* coded by: Michael Macbeth       revision - 5/10/2009     */
/* positive double */
/*************************************************************************************/
char *a;
int line;
int field;
char *file;
{
   int i,n=0;

   for( i = 0 ; i < (int)strlen(a) ; i++)
   {
      /* if( ((a[i] >= '0') && (a[i] <= '9')) || a[i] == '-' || a[i] == '.' || a[i] == '\0' ) { } */ /* this allows a negative '-' */
      if( a[i] == '.' ) n++;
      if( n > 1 )
      {
            fprintf(fp7,"\ncheck_double: Single number had more than one decimal digit '.' in line %d (field %d)\n",line,field);
            fprintf(fp7,"              Number found --> %s <-- \n",a);
            fprintf(fp7,"              Please check input file <%s>.\n",file);

            fprintf(stdout,"\ncheck_double: Single number had more than one decimal digit '.' in line %d (field %d)\n",line,field);
            fprintf(stdout,"              Number found --> %s <-- \n",a);
            fprintf(stdout,"              Please check input file <%s>.\n",file);
            exit(1);
      }
      if( ((a[i] >= '0') && (a[i] <= '9')) || a[i] == '.' || a[i] == '\0' ) { }
      else
      {
            fprintf(fp7,"\ncheck_double: Non-numeric character read in line %d (field %d)\n",line,field);
            fprintf(fp7,"              Character found --> %c <-- \n",a[i]);
            fprintf(fp7,"              Please check input file <%s>.\n",file);

            fprintf(stdout,"\ncheck_double: Non-numeric character read in line %d (field %d)\n",line,field);
            fprintf(stdout,"              Character found --> %c <-- \n",a[i]);
            fprintf(stdout,"              Please check input file <%s>.\n",file);
            exit(1);
      }
   }
   return(atof(a)); 
}

