#include <time.h>
#include "shaza.h"
#include "command.h"
/*************************************************************************************/
void finish_time(clock_start,program)
/* coded by: Michael Macbeth       revision - 30/9/2010     */
unsigned int clock_start;
char *program;
/*************************************************************************************/
{
   unsigned int clock_end;
   double seconds=0.0;
   int minutes=0;
   int hours=0;
   time_t time_now;

   clock_end=clock();
   time(&time_now);
   seconds=(1.0*(clock_end-clock_start)/CLOCKS_PER_SEC);

   if(seconds > 59)
   {
     minutes=(int)(seconds/60.0);
     seconds=seconds-minutes*60;
   }
   if(minutes > 59)
   {
     hours=(int)(minutes/60.0);
     minutes=minutes-hours*60;
   }

   /* Write to SHAZA_stat.txt */
   fprintf(fp7,"\n\n******Finished  %s ******\n",program);
   fprintf(fp7,"Finish time: %s",asctime(localtime(&time_now)) );
   fprintf(fp7,"Elapse time: ");
   if(hours > 0)                                        fprintf(fp7,"%d hours ",hours);

   if((minutes == 1)||(hours > 0))                      fprintf(fp7,"%d minute ",minutes);
   else
   if((minutes > 0)||(hours > 0))                       fprintf(fp7,"%d minutes ",minutes);

   if((hours < 1)&&((seconds > 0.0)||(minutes > 0)))    fprintf(fp7," %2.1f seconds\n",seconds);
   fprintf(fp7,"\n");
   fflush(fp7);

   fprintf(stdout,"\n\n******Finished  %s ******\n",program);
   fprintf(stdout,"Finish time: %s",asctime(localtime(&time_now)) );
   fprintf(stdout,"Elapse time: ");
   if(hours > 0)                                        fprintf(stdout,"%d hours ",hours);

   if((minutes == 1)||(hours > 0))                      fprintf(stdout,"%d minute ",minutes);
   else
   if((minutes > 0)||(hours > 0))                       fprintf(stdout,"%d minutes ",minutes);

   if((hours < 1)&&((seconds > 0.0)||(minutes > 0)))    fprintf(stdout," %2.1f seconds\n",seconds);
   fprintf(stdout,"\n");
   fflush(stdout);
}


