#include "shaza.h"
/*************************************************************************************/
void get_mbit3(anim,nperm,anim_L,rec_mbit_L)    
/* coded by: Michael Macbeth       revision - 5/10/2009     */
/* randomly BOOTSTRAP missing loci combinations for each animal */
/* set missing loci combination values from random data combinations                 */
/*************************************************************************************/
int anim;       /* number of animals to be simulated */
int *nperm;     /* number of missing loci combinations */
int anim_L;     /* samples in data for bootstrapping missing loci combinations */
unsigned int rec_mbit_L[];  /* list of missing loci combinations from reference data */
{
   int i;
   int iperm=0;

   for(i=0; i < anim; i++)
   {
      rec[i].mbit=rec_mbit_L[(int)(anim_L*drand())];
      iperm=bitperm(rec[i].mbit,1,0,'s');
   }

   *nperm=iperm;
}

