#include "shaza.h"
/*************************************************************************************/
void get_mbit4(anim,nperm,anim_L,rec_mbit_L)
/* coded by: Michael Macbeth       revision - 5/10/2009     */
/* randomly BOOTSTRAP missing loci combinations for each animal within block */
/* set missing loci combination values from random data combinations                 */
/*************************************************************************************/
int anim;       /* number of animals to be simulated */
int *nperm;     /* number of missing loci combinations */
int anim_L;     /* samples in data for bootstrapping missing loci combinations */
unsigned int rec_mbit_L[];  /* list of missing loci combinations from reference data */
{
   int i;
   int iperm=0;
   int ia;        /* block number of record i */
   int i_start;   /* position at start of block */
   int i_end;     /* position at end of block */
   int i_range;

   for(i=0; i < anim; i++)
   {
      ia=rec[i].block;
      i_start=nBlock[ia];
      i_end=nBlock[ia+1];
      i_range=i_end-i_start;

      rec[i].mbit=rec_mbit_L[(int)(i_start+i_range*drand())];

      iperm=bitperm(rec[i].mbit,1,0,'s');
   }

   *nperm=iperm;
}


