#include "shaza.h"
/*************************************************************************************/
double likelihood_inds(i,j,nloci,bit)
/* coded by: Michael Macbeth       revision - 5/10/2009     */
/*************************************************************************************/
int i;             /* sample          i  */
int j;             /* sample          j  */
int nloci;         /* number of loci */
unsigned int bit;  /* perm combination ip */   /* assumes bit pre-tested to make sure all loci ar enot missing    */
{
   int k;
   double like;

   int m;
    /* double f11,f12; allele freq first sample (i) */
   double f21,f22;  /* allele freq 2nd sample (j) */
   int k11,k12;     /* allele number first sample (i) */
   int k21,k22;     /* allele number f2nd   sample (j) */

   m=0;           /* testing for first loci combination  */


   /* initialize */
   like=0.0;

   for(k=0; k < nloci; k++ )
   if(locus_missing_bit(k,bit)) /* if locus in this combination */
   {
      k11=animal_sim[i][k][0];
      k12=animal_sim[i][k][1];
      k21=animal_sim[j][k][0];
      k22=animal_sim[j][k][1];

      /*f11=binsrch(k,k11);     1st allele frequency of animal i at locus j */
      /*f12=binsrch(k,k12);     2nd allele frequency of animal i at locus j */
      f21=binsrch(k,k21);    /* 1st allele frequency of animal i at locus j */
      f22=binsrch(k,k22);    /* 2nd allele frequency of animal i at locus j */

      /* get log likelihood for individual match */
      like=like_ind(f21,f22,k11,k12,k21,k22,&m);

   }

   return(like);  /* returns LLR */
}


