#include "shaza.h"
#include "command.h"

/*************************************************************************************/
void  likeme2(model,i,j,nloci,anim,bit,isim,x,xjj,xii)
/* coded by: Michael Macbeth       revision - 30/06/2011     */
/* calculates different likelihood values */
/*************************************************************************************/
int model;
int i,j;           /* genotype sample number i and j (count from 0) */
int nloci;         /* number of loci */
int anim;          /* number of sample records in data */
unsigned int bit;  /* common Loci (L*) between two samples */
int isim;          /* 1 simulation, 0 data */
double *x;         /* LLR of ij th pair */
double *xjj;       /* LLR of jj th pair */
double *xii;       /* LLR of ii th pair */

{
   if(isim) /* read: animal_sim[][][] */
   {
      *x=likelihood_inds(i,j,nloci,bit);
      *xjj=likelihood_inds2(model,j,j,nloci,bit); 
      *xii=likelihood_inds2(model,i,i,nloci,bit);
   }
   else
   {
      *x=likelihood_ind(i,j,nloci,bit);
      *xjj=likelihood_ind2(model,j,j,nloci,bit);
      *xii=likelihood_ind2(model,i,i,nloci,bit);
   }
   
}
