#include <math.h>
#include "shaza.h"
/*************************************************************************************/
double std_dev(n,X,XX)
/* returns standard deviation */
/* coded by: Michael Macbeth       revision - 5/10/2009     */
/*************************************************************************************/
int n;     /* sample size */
double X;  /* sum x    */
double XX; /* sum x*x  */
{
   double var;

   if(n > 2)
   {
      var=(XX-X*X/n)/(n-1);
      if(var > 0) return(sqrt(var));
      else        return(0.0);
   }
   else           return(0.0);

}



