#include "shaza.h"
/*************************************************************************************/
void allelic_dropout2(nloci,i,j,dropout,count,different)
/* coded by: Michael Macbeth       revision - 5/10/2009     */
/*************************************************************************************/
int nloci;      /* number of loci */
int i;          /* smaple one */
int j;          /* sample two */
int *dropout;   /* potential dropout loci having two alleles same in one sample */
int *count;     /* number of alleles */
int *different; /* number of alleles that were different between two samples */
{
   int mscore=0;
   int p;
   unsigned int ic;

   *count=0;
   *dropout=0;

   for(p=0; p<nloci; p++)
   if((rec[i].mbit&(1<<p)) && (rec[j].mbit&(1<<p))) 
   {
      *count=*count+2;  /* assumes two alleles per loci */
      ic=(unsigned int)compare(animal_data[i][p][0],animal_data[i][p][1],animal_data[j][p][0],animal_data[j][p][1]);
      mscore=mscore+ic;
      if(ic < 2)
      {
         if(((animal_data[i][p][0] == animal_data[i][p][1])&&(animal_data[i][p][0] != 0))|| 
            ((animal_data[j][p][0] == animal_data[j][p][1])&&(animal_data[i][p][0] != 0))) *dropout=*dropout+1;
      }
   }
   *different=*count-mscore;
}

