#include "shaza.h"
#include "command.h"
/*************************************************************************************/
/* recursive search to find matching groups                                          */
void do_rec_search(i,ilist,goodPairs,report,igroup)
/* coded by: Michael Macbeth       revision - 5/10/2009     */
/*************************************************************************************/
int i;           /* i_th sample */
int ilist;       /* number of samples in list of matched apirs */
int goodPairs;   /* number of match-pairs below alpha threshold */
int report;
int *igroup;     /* current group number */
{
   int isample;
   int m,ii=0;
   int j,k;

   for(j=0; j < goodPairs; j++)
   for(k=0; k < 2; k++)
   {
     if(one_list[i][0] == mat_pairs[1][j].pair[k])
     {
       if(k == 0) isample=mat_pairs[1][j].pair[1];   /* get sample of pair that is matching */
       else       isample=mat_pairs[1][j].pair[0];

       if(used_one_list(isample,ilist) == 0)
       {  /* isample was not listed before */

         if(report) {fprintf(fp5,"%s ",rec[isample].name); fflush(fp5);  }

         for(m=0; m < ilist; m++) /* mark sample in one_list as used */
         if(isample == one_list[m][0]) { ii=m; one_list[m][1]=*igroup;  }

         do_rec_search(ii,ilist,goodPairs,report,igroup); /* recursive search */
       }
     }
   }
}


