#include <math.h>
#include "shaza.h"
#include "command.h"
/*************************************************************************************/
void get_alphaCut()
/* coded by: Michael Macbeth       revision - 15/2/2010     */
/* define fale positive cutoffs used       */
/*************************************************************************************/
{
  int k;
  double x;

  if(n_value == 1000)
  {
    /* forms k th corresponding alpha values */
    for(k=0; k <(RANK_SFZ-1); k++)
    {
        if(k == 0)      x=0.01;
        else if(k == 1) x=0.05;
        else if(k <  4) x=pow(2.0,(k-1.0)*1.0)*0.0625;
        else if(k == 4) x=0.50;
        else if(k == 5) x=0.75;
        else if(k == 6) x=1.00;
        else if(k == 7) x=1.25;
        else            x=(k-5)/2.0;
        alphaCut[k+1]=x;
    }
    alphaCut[0]=0.001;    
  }
  else
  {
    /* forms k th corresponding alpha values */
    for(k=0; k <RANK_SFZ; k++)
    {
        if(k == 0)      x=0.01;
        else if(k == 1) x=0.05;
        else if(k <  4) x=pow(2.0,(k-1.0)*1.0)*0.0625;
        else if(k == 4) x=0.50;
        else if(k == 5) x=0.75;
        else if(k == 6) x=1.00;
        else if(k == 7) x=1.25;
        else            x=(k-5)/2.0;
        alphaCut[k]=x;
    }
  }
}

