#include "shaza.h"
#include "command.h"
/*************************************************************************************/
void get_blist_rlist(pairs,blist,rlist,blocksWithRecaps,isim)
/* coded by: Michael Macbeth       revision - 8/10/2009     */
/* for all accepted matches found in simulated data collate blocks with recaps */
int pairs;              /* number of pairs of matches found */
int *blist;             /* block combination of match */
int *rlist;             /* number of recaps in block combination */
int *blocksWithRecaps;  /* number of blocks With Recaps */
int isim;               /* =1 if simulated data else 0 */
/*************************************************************************************/
{
   int i,j;
   int jf=0;
   int found;
   int jointb;
   int bs=0;


   for(i=0; i<pairs; i++)
   {
      if( mat_pairs[isim][i].LLR > LLRcut[z_value])
      {
         if(bs == 0) /* if first recap */
         {
            blist[bs]=mat_pairs[isim][i].block[0]+mat_pairs[isim][i].block[1]*BLOCKFIT;   /* store block combinations with recap */
            rlist[bs]=1;
            bs++;
         }
         else
         {
            found=0;
            jointb=mat_pairs[isim][i].block[0]+mat_pairs[isim][i].block[1]*BLOCKFIT;

            /* find location of block combination if used before */
            for(j=0; j<bs; j++)
            if(blist[j] == jointb)
            {
               found=1;
               jf=j;
            }

            if(found) rlist[jf]++;
            else  /* first recap for this block combination */
            {
               blist[bs]=jointb;
               rlist[bs]=1;
               bs++;
            }
         }
      }
   }
   *blocksWithRecaps=bs;
}

