#include "shaza.h"
#include "command.h"
/**************************************************************/
void list_arguments(model,iseed,file_ptr)
int model;
unsigned int iseed;
FILE *file_ptr;
/* Macbeth 7/1/2010 */
/**************************************************************/
{
  int i;

  
  fprintf(file_ptr,"          ______________________________________________________________________________________\n");
  fprintf(file_ptr,"\n          Table 1  Options list\n");
  fprintf(file_ptr,"                   Status equals one if set by command line\n");
  fprintf(file_ptr,"          ______________________________________________________________________________________\n");
  fprintf(file_ptr,"\n          Option   Status   Value\n");

  /* ARG_NUM list, ARG_NON list and ARG_STR list in alphabetical order */
  fprintf(file_ptr,"             -b    %d        %d\n",b_option,b_value);
  fprintf(file_ptr,"             -c    %d        %d\n",c_option,c_value);
  fprintf(file_ptr,"             -d    %d        \"%s\"\n",d_option,d_value);
  fprintf(file_ptr,"             -e    %d        %6.4f\n",e_option,e_value/10000.0);
  fprintf(file_ptr,"             -E    %d        %6.4f\n",E_option,E_value/10000.0);
  fprintf(file_ptr,"             -f    %d\n",f_option);
  fprintf(file_ptr,"             -j    %d\n",j_option);
  fprintf(file_ptr,"             -H    %d        %d\n",H_option,H_value);
  for(i=0; i<MAX_i; i++)
  {
    fprintf(file_ptr,"             -i%1d   %d",i+1,i_option[i]);
    if(i_option[i]) fprintf(file_ptr,"        \"%s\"\n",i_value[i]);
    else            fprintf(file_ptr,"\n");
  }
  fprintf(file_ptr,"             -k    %d        \"%s\"\n",k_option,k_value);
  fprintf(file_ptr,"             -m    %d        %d\n",m_option,m_value);
  fprintf(file_ptr,"             -M    %d        %d\n",M_option,M_value);
  fprintf(file_ptr,"             -n    %d        %d\n",n_option,n_value);
  for(i=0; i<MAX_o; i++)
  {
    fprintf(file_ptr,"             -o%1d   %d",i+1,o_option[i]);
    fprintf(file_ptr,"        \"%s\"\n",o_value[i]);
  }
  fprintf(file_ptr,"             -p    %d\n",p_option);
  fprintf(file_ptr,"             -r    %d        %u\n",r_option,iseed);
  fprintf(file_ptr,"             -R    %d        %d\n",R_option,R_value);
  fprintf(file_ptr,"             -s    %d        %d\n",s_option,s_value);
  fprintf(file_ptr,"             -w    %d\n",w_option);
  fprintf(file_ptr,"             -Y    %d        %4.2f\n",Y_option,Y_value/100.0);
  if(n_value == 1000) fprintf(file_ptr,"             -z    %d        %d\n",z_option,z_value);
  else                fprintf(file_ptr,"             -z    %d        %d\n",z_option,z_value+1);
  fprintf(file_ptr,"          ______________________________________________________________________________________\n");

  fprintf(file_ptr,"\n");

}


