#include "shaza.h"
#include "command.h"
/*************************************************************************************/
int locusBinarySearch(locus,first,last,base_p)
int locus;
int first;
int last; 
int base_p;
/* coded by: Michael Macbeth       revision - 5/10/2009     */
/* returns position of allele */
/*************************************************************************************/
{
   int mid,allele;

   if(base_p == loc[locus].allele[0] ) return(0);
   if(base_p ==  loc[locus].allele[last]) return (last);  /* too small to put in top array class */

   while (first <= last) 
   {
       mid = (first + last) / 2;  /*compute mid point. */
       if (base_p < loc[locus].allele[mid])   last = mid - 1;  /* repeat search in top half. */
       else
       if (base_p > loc[locus].allele[mid])   first = mid + 1; /* repeat search in bottom half. */
       else                                   return mid;     /* found it. return position  */
   }

   fprintf(fp7,"locusBinarySearch() Did not find allele <%d> in locus <%s> \n",base_p,loc[locus].name);
   fprintf(fp7,"Alleles at locus number %d were\n",locus+1);
   fprintf(stdout,"locusBinarySearch() Did not find allele <%d> in locus <%s> \n",base_p,loc[locus].name);
   fprintf(stdout,"Alleles at locus number %d were\n",locus+1);
   for(allele=0; allele< loc[locus].n; allele++)
   {
      fprintf(fp7,"%d \n", loc[locus].allele[allele]);
      fprintf(stdout,"%d \n", loc[locus].allele[allele]);
   }

   if(i_option[0]&&i_option[1])
   fprintf(fp7,"\n\nCheck if all alleles in file %s are represented in file %s \n",i_value[0],i_value[1]);
   fprintf(stdout,"\n\nCheck if all alleles in file %s are represented in file %s \n",i_value[0],i_value[1]);

   fflush(stdout);
   exit(1);
   return(0);
}

