#include "shaza.h"
#include "command.h"

/*************************************************************************************/
void print_loci_freq(nloci,anim)
/* coded by: Michael Macbeth       revision - 20/12/2009                             */
/* writes allele frequencies read from empiracle allele data                         */
/*************************************************************************************/
int nloci;     /* number of loci */
int anim;      /* number of genotype samples */
{
   int i,j;

   /* for each loci   */
   for(i=0; i < nloci; i++)           
   {
      /* list allele names */
      fprintf(fp0,"%-10s ", loc[i].name);   
      for(j=0; j < loc[i].n; j++)  /* for each allele within loci */
      if(loc[i].allele[j] != MISSINGi)  fprintf(fp0,"%7d ",  loc[i].allele[j] );

      fprintf(fp0,"\n");

      /* list allele frequencies */
      fprintf(fp0,"%-10s ", loc[i].name);

      for(j=0; j < loc[i].n; j++)   /* for each allele within loci */
      if(loc[i].allele[j] != MISSINGi)  fprintf(fp0,"%7.5f ",  loc[i].freq[j] );
      fprintf(fp0,"\n");
   }
   fflush(fp0);

   if(p_option)
   {
     fclose(fp0);
     exit(1);
   }

}

