#include "shaza.h"
#include "command.h"

/*************************************************************************************/
void show(unsigned int val)
/* coded by: Michael Macbeth       revision - 5/10/2009     */
/* Display bitwise values for debugging missing loci storage */
/*************************************************************************************/
{
  extern void bitout();
  
  fprintf(fp7,"(%05u decimal)",val);
  fprintf(stdout,"(%05u decimal)",val);
  bitout(&val);
  fprintf(fp7," binary");
  fprintf(stdout," binary");
  
  fflush(stdout);
}

/*************************************************************************************/

void bitout(num)
/* coded by: Michael Macbeth       revision - 5/10/2009     */
/*void bitout(unsigned char num[]) */
char num[];
/*************************************************************************************/
{
  /* 4 bytes in int */
  int bytes,i,j;
  bytes=sizeof(int);
  char c;

  /* IBM stores ints low/hi */
  for(i=bytes-1; i >=0; --i)
  for( j=7; j >=0; --j)    /* 8 bits per char */
  {
    c=((num[i]&(1<<j))?'1':'0');
    putchar(c); 
    fprintf(fp7,"%c",c);
  }
  
}


/*************************************************************************************/
void bitout2(unsigned char num[], int loci, FILE *fptr)
/* coded by: Michael Macbeth       revision - 5/10/2009     */
/* list missing locus combinations                                                   */
/*************************************************************************************/
{
  /* 4 bytes in int */
  int bytes,i,j,extra;

  bytes=loci/8;
  extra=loci-bytes*8;

  for(i=0; i <bytes; i++)
  for( j=0; j <8; j++)
     fprintf(fptr,"%c   ",(num[i]&(1<<j))?'.':'M');

  for( j=0; j<extra; j++)
     fprintf(fptr,"%c   ",(num[i]&(1<<j))?'.':'M');

}
