#include "shaza.h"
#include "command.h"
/*************************************************************************************/
int toplikelihood_inds(i,j,nloci,bit,irank)
/* coded by: Michael Macbeth       revision - 5/10/2009     */
/*************************************************************************************/
int i;
int j;
int nloci;        /* number of loci OR zero to initialise */
unsigned int bit; /* allele combination bit set */
int irank;        /* =RANK_SFZ */
{
  double x;
  int position;
  static int is;
  int n;

  if(nloci == 0) is=0; /* initialise for new run */
  else
  {
     /* individual match */
     x=likelihood_inds(i,j,nloci,bit);

     if(is < irank)
     {
        toplikes[is]=x;
        if((++is) == irank)
        {
           qsort(toplikes,irank,sizeof(double),compare_double);
        }
     }
     else /* insert new x in sorted order */
     {
        position=binarySearch(toplikes, 0, irank-1, x);
        if( position > -1)
        {
          for(n=(irank-1); n>position; n--) toplikes[n]=toplikes[n-1];
          toplikes[position]=x;
        }
        is++;
     }

  }

  return(is);
}


